Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
FltEyepoint Class Reference

A single eyepoint entry in the eyepoint/trackplane palette. More...

`#include "fltEyepoint.h"`

## Public Member Functions
bool | build_record (FltRecordWriter &writer) const
bool | extract_record (FltRecordReader &reader)

## Public Attributes
LPoint3 | _eyepoint
LVector3 | _eyepoint_direction
PN_stdfloat | _far_clip
LMatrix4 | _fly_through
PN_stdfloat | _fly_through_pitch
PN_stdfloat | _fly_through_yaw
PN_stdfloat | _fov
LVecBase3 | _hpr
int | _image_offset_x
int | _image_offset_y
int | _image_zoom
bool | _is_valid
PN_stdfloat | _near_clip
bool | _no_fly_through
bool | _ortho_mode
LMatrix4 | _rotation
LPoint3d | _rotation_center
PN_stdfloat | _scale

## Detailed Description

A single eyepoint entry in the eyepoint/trackplane palette.

Definition at line 27 of file fltEyepoint.h.

## Constructor & Destructor Documentation

## ◆ FltEyepoint()

FltEyepoint::FltEyepoint | ( |  | ) |

Definition at line 21 of file fltEyepoint.cxx.

## Member Function Documentation

## ◆ build_record()

bool FltEyepoint::build_record | ( | FltRecordWriter & | writer | ) | const

Definition at line 93 of file fltEyepoint.cxx.

## ◆ extract_record()

bool FltEyepoint::extract_record | ( | FltRecordReader & | reader | ) |

Definition at line 46 of file fltEyepoint.cxx.

## Member Data Documentation

## ◆ _eyepoint

LPoint3 FltEyepoint::_eyepoint

Definition at line 43 of file fltEyepoint.h.

## ◆ _eyepoint_direction

LVector3 FltEyepoint::_eyepoint_direction

Definition at line 46 of file fltEyepoint.h.

## ◆ _far_clip

PN_stdfloat FltEyepoint::_far_clip

Definition at line 41 of file fltEyepoint.h.

## ◆ _fly_through

LMatrix4 FltEyepoint::_fly_through

Definition at line 42 of file fltEyepoint.h.

## ◆ _fly_through_pitch

PN_stdfloat FltEyepoint::_fly_through_pitch

Definition at line 45 of file fltEyepoint.h.

## ◆ _fly_through_yaw

PN_stdfloat FltEyepoint::_fly_through_yaw

Definition at line 44 of file fltEyepoint.h.

## ◆ _fov

PN_stdfloat FltEyepoint::_fov

Definition at line 38 of file fltEyepoint.h.

## ◆ _hpr

LVecBase3 FltEyepoint::_hpr

Definition at line 36 of file fltEyepoint.h.

## ◆ _image_offset_x

int FltEyepoint::_image_offset_x

Definition at line 50 of file fltEyepoint.h.

## ◆ _image_offset_y

int FltEyepoint::_image_offset_y

Definition at line 51 of file fltEyepoint.h.

## ◆ _image_zoom

int FltEyepoint::_image_zoom

Definition at line 52 of file fltEyepoint.h.

## ◆ _is_valid

bool FltEyepoint::_is_valid

Definition at line 49 of file fltEyepoint.h.

## ◆ _near_clip

PN_stdfloat FltEyepoint::_near_clip

Definition at line 40 of file fltEyepoint.h.

## ◆ _no_fly_through

bool FltEyepoint::_no_fly_through

Definition at line 47 of file fltEyepoint.h.

## ◆ _ortho_mode

bool FltEyepoint::_ortho_mode

Definition at line 48 of file fltEyepoint.h.

## ◆ _rotation

LMatrix4 FltEyepoint::_rotation

Definition at line 37 of file fltEyepoint.h.

## ◆ _rotation_center

LPoint3d FltEyepoint::_rotation_center

Definition at line 35 of file fltEyepoint.h.

## ◆ _scale

PN_stdfloat FltEyepoint::_scale

Definition at line 39 of file fltEyepoint.h.

The documentation for this class was generated from the following files:

- pandatool/src/flt/fltEyepoint.h
- pandatool/src/flt/fltEyepoint.cxx